function ppastats_chart(ddts) {
    var data_chart = [];
    var max_date = null;
    var min_date = null;
    
    $.each(ddts, function(i, item) {
        var tm = item["time"];
        var d = new Date(tm[0], tm[1]-1, tm[2]);
        var entry = [d, item["value"]];
        data_chart.push(entry);
	
        if (max_date == null || max_date < d) {
	    max_date = d;
        }
	
        if (min_date == null || min_date > d) { 
	    min_date = d;
        }
    });
    
    var plot1 = $.jqplot ('chart', [data_chart], {
	title: 'Daily Download Count',
        axes: {
	    xaxis: {
                renderer:$.jqplot.DateAxisRenderer,
                tickOptions:{formatString:'%Y/%m/%d'},
                min: min_date,
                max: max_date
	    },
	    yaxis: {
                min: 0
	    }
        },
        series: [{lineWidth:1,showMarker:false}]
    });
}

function ppastats_pkg() {
    $(document).ready(function() {
	$("#ppa_owner").html(data["ppa_owner"]);
	$("#ppa_name").html(data["ppa_name"]);
	$("#pkg_name").html(data["name"]);
	
	$.each(data["versions"], function(i, v) {
	    var v_url = data["name"]+"_"+v+".html";
	    
	    $("#versions").append("<li><a href='"+v_url+"'>"+v+"</a></li>");
	});

	ppastats_chart(data["ddts"]);
    });
}

function ppastats_ver() {
    $(document).ready(function() {
	var pkg_url = data["pkg_name"]+".html";
	
	$("#ppa_owner").html(data["ppa_owner"]);
	$("#ppa_name").html(data["ppa_name"]);
	$("#pkg_name").html("<a href='"+pkg_url+"'>"+data["pkg_name"]+"</a>");
	$("#version").append(" "+data["name"]);
	
	$.each(data["distros"], function(i, distro) {
	    $.each(distro["archs"], function(i, arch) {
		$("#distros").append("<li><em>"+distro["name"]+"_"+arch["name"]+"</em>: "+arch["count"]+"</li");
	    });
	});

	ppastats_chart(data["ddts"]);
    });
}
		      
function ppastats_ppa() {
    $(document).ready(function() {
	var max_date = null;
	var min_date = null;
	var pkg_url = data["pkg_name"]+".html";
	
	$("#ppa_name").html(data["ppa_owner"]+"/"+data["ppa_name"]);

	$.each(data["packages"], function(i, item) {
	    var url = item["name"]+".html";
	    $("#pkgs").append("<li><a href='"+url+"'>"+item["name"]+"</a>: "+item["count"]+"</li>");
	});

	ppastats_chart(data["ddts"]);
    });
}
		      
		      